Get taskGET
Description
Returns a single task by ID.
Permissions
Query parameters
includePosition: Include the task's position in the column/swimlane it is in.
Request format
curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>
Example request
curl https://kanbanflow.com/api/v1/tasks/T3s6UGyzY
Example response
{
"_id": "T3s6UGyzY",
"name": "Write report",
"description": "",
"color": "red",
"columnId": "C9LIn5sEEpqT",
"createdTimestamp": "2023-12-31T20:00:00.000Z"
}Response properties
| Property | Type | Comment |
|---|---|---|
| _id | String | The ID of the task. |
| name | String | The name of the task. |
| columnId | String | The ID of the column the task is in. |
| swimlaneId | String | The ID of the swimlane the task is in. Only included if the board has swimlanes. |
| position | Integer | The index of the task in the column/swimlane or date group. Only included if includePosition is set. Note: The index is zero-based. |
| description | String | The description of the task. |
| color | String | The color of the task. Possible color values: yellow, white, red, green, blue, purple, orange, cyan, brown, or magenta. |
| number | Object | The task number consists of an integer value and an optional prefix. Examples: { "value": 5 }, { "prefix": "BUG-", "value": 5 } |
| responsibleUserId | String | The ID of the responsible user. See Get members for information about how to see which member an ID belongs to. |
| totalSecondsSpent | Integer | The total number of seconds spent on the task. Examples: 1 hour = 3600, 2 hours = 7200 etc. |
| totalSecondsEstimate | Integer | The total number of seconds estimated for the task. Examples: 1 hour = 3600, 2 hours = 7200 etc. Only included if estimation unit is set to Time. |
| pointsEstimate | Float | Estimated points for the task. Only included if estimation unit is set to Points. |
| groupingDate | String | The date that the task is grouped by. Only included if the column the task is in is date grouped. Format is YYYY-MM-DD. Example: 2023-12-31. |
| dates | Array | The dates of the task. Only included if there are any items. See Get dates for details. |
| subTasks | Array | The subtasks of the task. Only included if there are any items. See Get subtasks for details. |
| labels | Array | The labels of the task. Only included if there are any items. See Get labels for details. |
| collaborators | Array | The collaborators of the task. Only included if there are any items. See Get collaborators for details. |
| customFields | Array | The custom fields of the task. Only included if there are any items. See Get task custom fields for details. |
| timeline | Object | The timeline of the task. Only included if set. Consists of a start and an end date. Format is YYYY-MM-DD. Example: { "start": "2024-01-01", "end": "2024-01-31" } |
| createdTimestamp | String | The UTC timestamp when the task was created, for example 2023-12-31T20:00:00.000Z. |